<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Class: Image</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <div class="symbol-detail-labels"><span class="label label-kind">class</span></div>
            <h1><small></small><span class="symbol-name">Image</span></h1>
            <p class="source-link">Source: <a href="components_image_Image.js.html#source-line-6">components/<wbr>image/<wbr>Image.<wbr>js:6</a></p>
            <dl class="dl-compact">
            </dl>
          </header>
          <section id="summary">
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Method</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Image.html#handleOnLoad">handleOnLoad()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                </div>
                <div class="summary-column">
                </div>
              </div>
            </div>
          </section>
          <section>
            <h2 id="Image">new&nbsp;<span class="symbol-name">Image</span><span class="signature"><span class="signature-params">()</span></span></h2>
            <p>prosty element img</p>
            <section>
              <h3>
                Example
              </h3>
              <div>
                <pre class="prettyprint"><code>&lt;Image
  width&#x3D;&quot;300px&quot;
  height&#x3D;&quot;250px&quot;
  src&#x3D;&quot;http://placekitten.com/300/250&quot;
  style&#x3D;{
   &#x27;border&#x27;: &#x27;3px dotted red&#x27;
  }
  onReady&#x3D;function(){}
/&gt;</code></pre>
              </div>
            </section>
            <section>
              <h3>Properties</h3>
              <table class="jsdoc-details-table">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Type</th>
                    <th>Optional</th>
                    <th>Description</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>
                      <p>props</p>
                    </td>
                    <td>
                      <p>object</p>
                    </td>
                    <td>
                      <p>&nbsp;</p>
                    </td>
                    <td>
                      <p>zestaw właściwości komponentu</p>
                      <p>Values in <code>props</code> have the following properties:</p>
                      <table class="jsdoc-details-table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Optional</th>
                            <th>Description</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <p>src</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>adres grafiki</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>width</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>szerokość komponentu wraz z jednostką</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>height</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>wysokość komponentu wraz z jednostką</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>objectFit</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>@see https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit</p>
                              <p>Defaults to <code>contain</code>.</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>validate</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>@see https://developer.mozilla.org/en-US/docs/Mozilla/Tech/XUL/image#a-validate</p>
                              <p>Defaults to <code>never</code>.</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>style</p>
                            </td>
                            <td>
                              <p>object</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>obiekt ze stylami inline</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onReady</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany, gdy obrazek zamontował się poprawnie</p>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                </tbody>
              </table>
            </section>
            <dl class="dl-compact">
              <dt>Extends</dt>
              <dd>Component</dd>
            </dl>
          </section>
          <section>
            <h2>Method</h2>
            <section>
              <h3 id="handleOnLoad"><span class="symbol-name">handleOnLoad</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>obsługa eventu onLoad grafiki</p>
              <dl class="dl-compact">
              </dl>
            </section>
          </section>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>